Overview | Package | Class | Deprecated | Index | Help
| Groovy Documentation
| FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | METHOD | DETAIL: FIELD | METHOD

## org.gradle.plugins.ear.descriptor
[Java] Interface EarWebModule

    org.gradle.plugins.ear.descriptor.EarModule
      org.gradle.plugins.ear.descriptor.EarWebModule

All Superinterfaces:
  EarModule

    public interface EarWebModule
    extends EarModule

A module element in a deployment descriptor like application.xml that has a web child element.

Authors:
  David Gileadi

Method Summary
`String` | `getContextRoot()` The context-root element specifies the context root of a web application.
`void` | `setContextRoot(String contextRoot)`

Methods inherited from interface EarModule
getAltDeployDescriptor, getPath, setAltDeployDescriptor, setPath, toXmlNode

Method Detail

### getContextRoot

    public String getContextRoot()

  The context-root element specifies the context root of a web application.

### setContextRoot

    public void setContextRoot(String contextRoot)

Gradle API 1.1-rc-1